<?php


// Instellingen

// Naam en adres van je log:
$title = "Jouw titel";
$url = "http://www.jouwsite.nl/ditbestand.php";

// Administratie paswoord:
$password = "paswoord";

// bestanden voor onderwerpen en reacties (beide CHMOD 666):
$entry_file = "entries.dat";
$comment_file = "comments.dat";

// Hoeveel posts per pagina?
$entries_per_page = 10;

// Hoeveel reacties op pagina?
$comments_per_page = 20;

// Admin E-mail voor melding van reactie (optioneel):
$adminemail = "info@jouwsite.nl";

// BB-Codes aan? false of true
$bbcode = true;

// Als je smileys wilt gebruiken vul je hier de naam in van de folder met smileys:
$smiley_folder = "smileys";

// Links aanklikbaar maken? false of true
$autolink = true;

// Tijd formaat:
$time_format = "%A, %B %d, %Y, %H:%M";

// Folder waar upgeloade afbeeldingen in bewaard worden (CHMOD 777 is nodig voor die map):
$upload_imgage_folder = "";

// HTML in je onderwerpen? false of true
$html_entries = true;

// HTML in reacties false of true, ik raad je aan om false in te vullen tegen misbruim van deze optie:
$html_comments = false;

// Lengte beperkingen:
$name_maxlength = 40;
$name_word_maxlength = 25;
$email_hp_maxlength = 40;
$place_maxlength = 40;
$place_word_maxlength = 25;
$text_maxlength = 1500;
$text_word_maxlength = 50;

// Taalinstellingen:
$language =                    "nl";
$back_marking =                "Terug";
$new_entry_marking =           "Nieuwe reactie";
$read_or_write_comments =      "Lees of schrijf reacties";
$no_comments =                 "Geen reacties";
$one_comment =                 "1 reactie";
$more_comments =               "[number] reacties";
$comments_marking =            "Reactie:";
$add_comment =                 "Jouw reactie:";
$name_marking =                "Naam:";
$email_or_hp_marking =         "E-mail of Homepage:";
$submit_button =               "  OK  ";
$entry_submit_button =         "OK - Verzenden";
$preview_button =              "Bekijken";
$preview_marking =             "Bekijken:";
$error_marking =               "Fout:";
$error_no_subject =            "geen onderwerp toegevoegd";
$error_no_text =               "geen tekst toegevoegd";
$error_no_name =               "geen naam ingevuld";
$error_text_too_long =         "De boodschap is te lang ([characters] karakters) - je ka tot [max_characters] karakters gebruiken";
$error_word_too_long =         "Het woord \"[word]\" is te lang";
$error_invalid_file_format =   "<b>Fout:</b> dit bestandsformaat is niet toegestaan ([file_format])";
$previous_page =               "Vorige pagina";
$next_page =                   "Volgende pagina";
$no_authorisation =            "Niet toegestaan!";
$password_marking =            "Paswoord:";
$log_in_marking =              "inloggen";
$password_wrong =              "verkeerd paswoord!";
$edit_marking =                "bewerken";
$delete_marking =              "verwijderen";
$delete_entry_conf_marking =   "Onderwerp verwijderen:";
$delete_entry_sure =           "Weet je zeker dat je dit wilt verwijderen? <b>\"[entry]\"</b>?";
$delete_comment_conf_marking = "Commentaar verwijderen:";
$delete_comment_sure =         "Weet je zeker dat je het commentaar wilt verwijderen van <b>[name]</b>?";
$delete_sure_ok =              "OK - Verwijderen";
$text_marking =                "Tekst:";
$subject_marking =             "Onderwerp:";
$date_time_marking =           "Datum/Tijd:";
$email_subject =               "Weblog-commentaar: [subject]";
$bold_marking =                "bold";
$italic_marking =              "italic";
$link_marking =                "http://";
$textlink_marking =            "Link";
$image_marking =               "Afbeelding";
$upload_image_marking =        "Upload afbeelding";
$code_to_paste_image =         "Code om afbeelding weer te geven:";
$paste_image =                 "Geef afbeelding weer";
$still_no_entries_marking =    "Nog geen onderwerpen.";
$still_no_comments_marking =   "Nog geen reacties.";
$email_link =                  "E-mail naar ";
$homepage_link =               "Homepage: ";
$time_exp =                    "Als je een later tijdstip opgeeft, zal de post op dat tijdstip verschijnen";
$no_upload_img_folder =        "You didn't specify a folder to save uploaded images yet (\$upload_imgage_folder). This folder requires CHMOD 777.";
#$months_translated =           array("Januari","Februari","Maart","April","Mei","Juni","Juli","Augustus","September","Oktober","November","December");
#$weekdays_translated =         array("Maandag","Dinsdag","Woensdag","Donderdag","Vrijdag","Zaterdag","Zondag");

session_start();

function bbcode($string)
 {
  $string = preg_replace("#\[b\](.+?)\[/b\]#is", "<b>\\1</b>", $string);
  $string = preg_replace("#\[i\](.+?)\[/i\]#is", "<i>\\1</i>", $string);
  $string = preg_replace("#\[u\](.+?)\[/u\]#is", "<u>\\1</u>", $string);
  $string = preg_replace("#\[link\]www\.(.+?)\[/link\]#is", "<a href=\"http://www.\\1\" target=\"_blank\" >www.\\1</a>", $string);
  $string = preg_replace("#\[link\](.+?)\[/link\]#is", "<a href=\"\\1\" target=\"_blank\">\\1</a>", $string);
  $string = preg_replace("#\[link=(.+?)\](.+?)\[/link\]#is", "<a href=\"\\1\" target=\"_blank\"	>\\2</a>", $string);
  $string = preg_replace("#\[url\]www\.(.+?)\[/url\]#is", "<a href=\"http://www.\\1\" target=\"_blank\"	>www.\\1</a>", $string);
  $string = preg_replace("#\[url\](.+?)\[/url\]#is", "<a href=\"\\1\" target=\"_blank\"	>\\1</a>", $string);
  $string = preg_replace("#\[url=(.+?)\](.+?)\[/url\]#is", "<a href=\"\\1\" target=\"_blank\"	>\\2</a>", $string);
  $string = preg_replace("#\[img\](.+?)\[/img\]#is", "<img src=\"\\1\" alt=\"[image]\" style=\"margin: 5px 0px 5px 0px\" />", $string);
  $string = preg_replace("#\[img-l\](.+?)\[/img\]#is", "<img src=\"\\1\" alt=\"[image]\" style=\"float: left; margin: 0px 5px 5px 0px\" />", $string);
  $string = preg_replace("#\[img-r\](.+?)\[/img\]#is", "<img src=\"\\1\" alt=\"[image]\" style=\"float: right; margin: 0px 0px 5px 5px\" />", $string);

  return $string;
 }

function smilies($string)
 {
  global $smiley_folder;
  $string = str_replace(":-)", "<img src=\"".$smiley_folder."/smile.gif\" alt=\":-)\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace("(-:", "<img src=\"".$smiley_folder."/smile.gif\" alt=\":-)\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":)", "<img src=\"".$smiley_folder."/smile.gif\" alt=\":)\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace("(:", "<img src=\"".$smiley_folder."/smile.gif\" alt=\":)\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(";-)", "<img src=\"".$smiley_folder."/wink.gif\" alt=\";-)\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(";)", "<img src=\"".$smiley_folder."/wink.gif\" alt=\";)\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":-D", "<img src=\"".$smiley_folder."/biggrin.gif\" alt=\":-D\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":D", "<img src=\"".$smiley_folder."/biggrin.gif\" alt=\":D\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":-P", "<img src=\"".$smiley_folder."/tongue.gif\" alt=\":-P\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":P", "<img src=\"".$smiley_folder."/tongue.gif\" alt=\":P\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":p", "<img src=\"".$smiley_folder."/tongue.gif\" alt=\":p\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":-p", "<img src=\"".$smiley_folder."/tongue.gif\" alt=\":-p\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":-|", "<img src=\"".$smiley_folder."/neutral.gif\" alt=\":-|\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":|", "<img src=\"".$smiley_folder."/neutral.gif\" alt=\":|\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":-(", "<img src=\"".$smiley_folder."/frown.gif\" alt=\":-(\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(":(", "<img src=\"".$smiley_folder."/frown.gif\" alt=\":(\" width=\"15\" height=\"15\" />", $string);
  $string = str_replace(")-:", "<img src=\"".$smiley_folder."/frown.gif\" alt=\":-(\" width=\"15\" height=\"15\" />", $string);

  return $string;
 }

// functie om automatisch klikbare links te maken:
function make_link($string)
 {
  $string = ' ' . $string;
  $string = preg_replace("#(^|[\n ])([\w]+?://.*?[^ \"\n\r\t<]*)#is", "\\1<a href=\"\\2\">\\2</a>", $string);
  $string = preg_replace("#(^|[\n ])((www|ftp)\.[\w\-]+\.[\w\-.\~]+(?:/[^ \"\t\n\r<]*)?)#is", "\\1<a href=\"http://\\2\">\\2</a>", $string);
  $string = preg_replace("#(^|[\n ])([a-z0-9&\-_.]+?)@([\w\-]+\.([\w\-\.]+\.)*[\w]+)#i", "\\1<a href=\"mailto:\\2@\\3\">\\2@\\3</a>", $string);
  $string = substr($string, 1);
  return $string;
 }

// functies voor de navigatie van de pagina:
function browse()
 {
  global $p, $entries_per_page, $entry_count, $previous_page, $next_page;

  if ($entry_count > $entries_per_page)
  {
   $new_index_before = $p - 1;
   $new_index_after = $p + 1;
   $site_count = ceil($entry_count / $entries_per_page);
   if ($new_index_before >= 0) { ?><a href="../<?php echo basename($_server["php_self"]); ?>?p=<?php echo $new_index_before; ?>" title="<?php echo $previous_page; ?>">&laquo;</a>&nbsp;<?php }
   if ($new_index_before >= 0 && $new_index_before < $site_count) echo "";
   if ($p==0) { ?><span class="caution">1</span>&nbsp;<?php } else { ?><a href="<?php echo basename($_server["../php_self"]); ?>?p=0">1</a>&nbsp;<?php }
   for($x=$p-3; $x<$p+4; $x++)
    {
     if ($x > 0 && $x < $site_count) { if ($x==$p) { ?><span class="caution"><?php echo $x+1; ?></span>&nbsp;<?php } else { ?><a href="../<?php echo basename($_server["php_self"]); ?>?p=<?php echo $x; ?>"><?php echo $x+1; ?></a>&nbsp;<?php } }
    }
   if ($new_index_after < $site_count) { ?><a href="../<?php echo basename($_server["php_self"]); ?>?p=<?php echo $new_index_after; ?>" title="<?php echo $next_page; ?>">&raquo;</a><?php }
  }
  else echo "&nbsp;";
 }

function comments_browse($id)
 {
  global $p, $comments_per_page, $comment_count;

  if ($comment_count > $comments_per_page)
  {
   ?><p style="margin: 0px; text-align: right; font-weight: bold;"><?php
   $new_index_before = $p - 1;
   $new_index_after = $p + 1;
   $site_count = ceil($comment_count / $comments_per_page);
   if ($new_index_before >= 0) { ?><a href="../<?php echo basename($_server["php_self"]); ?>?id=<?php echo $id; ?>&p=<?php echo $new_index_before; ?>" title="vorige Seite">&laquo;</a>&nbsp;<?php }
   if ($new_index_before >= 0 && $new_index_before < $site_count) echo "";
   if ($p==0) { ?><span class="caution">1</span>&nbsp;<?php } else { ?><a href="../<?php echo basename($_server["php_self"]); ?>?id=<?php echo $id; ?>&p=0">1</a>&nbsp;<?php }
   for($x=$p-3; $x<$p+4; $x++)
    {
     if ($x > 0 && $x < $site_count) { if ($x==$p) { ?><span class="caution"><?php echo $x+1; ?></span>&nbsp;<?php } else { ?><a href="../<?php echo basename($_server["php_self"]); ?>?id=<?php echo $id ?>&p=<?php echo $x; ?>"><?php echo $x+1; ?></a>&nbsp;<?php } }
    }
   if ($new_index_after < $site_count) { ?><a href="../<?php echo basename($_server["php_self"]); ?>?id=<?php echo $id; ?>&p=<?php echo $new_index_after; ?>" title="nchste Seite">&raquo;</a><?php }
   ?></p><?php
  }
  else echo "&nbsp;";
 }

// maanden en weekdagen
function parse_time($time_dump)
{
 global $weekdays_translated, $months_translated;
 if (isset($months_translated))
  {
   $months = array("Januari","Februari","Maart","April","Mei","Juni","Juli","Augustus","September","Oktober","November","December");
   $time_dump = str_replace($months,$months_translated,$time_dump);
  }
 if (isset($weekdays_translated))
  {
   $weekdays = array("Maandag","Dinsdag","Woensdag","Donderdag","Vrijdag","Zaterdag","Zondag");
   $time_dump = str_replace($weekdays, $weekdays_translated,$time_dump);
  }
 return $time_dump;
}

// door welke actie?
if (isset($_POST['action'])) $action = $_POST['action'];
if (isset($_GET['action'])) $action = $_GET['action'];
if (isset($_POST['id'])) $id = $_POST['id'];
if (isset($_GET['id'])) $id = $_GET['id'];
if (isset($id) && empty($action)) $action="comments";
if (isset($_GET['login'])) $action="login";

// laat de rss-feed zien:
if (isset($_GET['rss']))
 {
  header("Content-type: text/xml");
  echo '<?xml version="1.0" encoding="ISO-8859-1"?>';
  ?>
<rss version="0.91">
<channel>
<title><?php echo $title; ?></title>
<link><?php echo $url; ?></link>
<description><?php echo $title; ?></description>
<language><?php echo $language; ?></language>
<?php
  $data = file($entry_file);
  $entry_count = count($data);

  for ($row = 0; $row < $entry_count; $row++)
   {
    $parts = explode("|", $data[$row]);
    if ((int)$parts[1] <= time()) $data_s[] = $data[$row];
   }
  $entry_count = count($data_s);
  if ($entry_count > 20) $entry_count = 20;

  for ($i = 0; $i < $entry_count; $i++)
   {
    $nr = $entry_count -$i;
    $parts = explode("|", $data_s[$i]);
    $subject = urldecode($parts[3]);
    $text = urldecode($parts[4]);
    $subject = htmlspecialchars(stripslashes($subject));
    $text = htmlspecialchars(stripslashes($text));
    $text = nl2br($text);
    if ($autolink == true) $text = make_link($text);
    if ($bbcode == true) $text = bbcode($text);

    $text = str_replace("&raquo;", "&gt;", $text);
    $text = str_replace("&laquo;", "&lt;", $text);
    $text = str_replace("&", "&amp;", $text);
    $text = str_replace("<", "&lt;", $text);
    $text = str_replace(">", "&gt;", $text);
    $subject = str_replace("&raquo;", "&gt;", $subject);
    $subject = str_replace("&laquo;", "&lt;", $subject);
    $subject = str_replace("&", "&amp;", $subject);

?><item>
<title><?php echo $subject; ?></title>
<description><?php echo $text; ?></description>
<link><?php echo "http://".$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME']."?id=".$parts[0]; ?></link>
<pubDate><?php echo strftime("%a, %d %b %Y %H:%M:%S GMT", $parts[1]); ?></pubDate>
</item>
<?php

}
?>
</channel>
</rss>
<?php
  die();
 }

// upload:
if (isset($_FILES['probe']) and ! $_FILES['probe']['error']) // Alternativ: and $_FILES['probe']['size']
  {
   // checking data:
   unset($errors);
   if ($_FILES['probe']['type'] != "image/jpeg" && $_FILES['probe']['type'] != "image/pjpeg" && $_FILES['probe']['type'] != "image/gif" && $_FILES['probe']['type'] != "image/png") $errors[] = str_replace("[file_format]",$_FILES['probe']['type'],$error_invalid_file_format);
   #if ($_FILES['probe']['size'] > $max_file_size) $errors[] = "- Date zu gro&szlig; (".number_format($_FILES['probe']['size']/1000,0,",","")." KB)";

   if (empty($errors))
    {
     $nr = 0;
     switch($_FILES['probe']['type'])
      {
       case "image/jpeg":
        for(;;) { $nr++; if (!file_exists($upload_imgage_folder."/image".$nr.".jpg")) break; }
        $filename = "image".$nr.".jpg";
       break;
       case "image/pjpeg":
        for(;;) { $nr++; if (!file_exists($upload_imgage_folder."/image".$nr.".jpg")) break; }
        $filename = "image".$nr.".jpg";
       break;
       case "image/gif":
        for(;;) { $nr++; if (!file_exists($upload_imgage_folder."/image".$nr.".gif")) break; }
        $filename = "image".$nr.".gif";
       break;
       case "image/png":
        for(;;) { $nr++; if (!file_exists($upload_imgage_folder."/image".$nr.".png")) break; }
        $filename = "image".$nr.".png";
       break;

      }

     move_uploaded_file($_FILES['probe']['tmp_name'], $upload_imgage_folder."/".$filename);
     #chmod($upload_imgage_folder."\".$filename, 0755);
     $action="upload_successful";
    }
   else $show="upload";
  }

 // als een paswoord is ingevuld, controleren of het juist is:
if (isset($_POST['login_password']))
 {
  if ($_POST['login_password'] == $password) { $_SESSION['admin']=true; header("location: ".basename($_SERVER["PHP_SELF"])); die("<a href=\"".basename($_SERVER["PHP_SELF"])."\">weiter...</a>"); }
  else { $action="none"; $show="login failed"; }
 }

// als het onderwerp bewerkt moet worden:
if (isset($_GET['edit']))
 {
  if (isset($_SESSION['admin']))
   {
    $data = file($entry_file);
    $row_count = count($data);
    for ($row = 0; $row < $row_count; $row++)
    {
    $parts = explode("|", $data[$row]);
    if ($parts[0] == $_GET['edit'])
     {
        $entry_uniqid = $parts[0];
        #$time = $parts[1];
        $day = strftime("%d", $parts[1]);
        $month = strftime("%m", $parts[1]);
        $year = strftime("%Y", $parts[1]);
        $hour = strftime("%H", $parts[1]);
        $minute = strftime("%M", $parts[1]);
        $ip = $parts[2];
        $subject = urldecode($parts[3]);
        $text = urldecode($parts[4]);
        break;
       }
     }
    $action="edit";
    $show="form";
   }
  else { $action = "none"; $show = "no authorization"; }
 }
// als commentaar bewerkt moet worden:
if (isset($_GET['edit_comment']))
 {
  if (isset($_SESSION['admin']))
   {
    $data = file($comment_file);
    $row_count = count($data);
    for ($row = 0; $row < $row_count; $row++)
     {
      $parts = explode("|", $data[$row]);
      if ($parts[0] == $_GET['edit_comment'])
       {
        $entry_uniqid = $parts[0];
        #$time = $parts[2];
        $day = strftime("%d", $parts[2]);
        $month = strftime("%m", $parts[2]);
        $year = strftime("%Y", $parts[2]);
        $hour = strftime("%H", $parts[2]);
        $minute = strftime("%M", $parts[2]);
        $ip = $parts[3];
        $name = urldecode($parts[4]);
        $email_hp = base64_decode(urldecode($parts[5]));
        $text = urldecode($parts[6]);
        break;
       }
     }
    $action="edit_comment";
    $show="form";
   }
  else { $action = "none"; $show = "no authorization"; }
 }

// bevestiging om het onderwerp te verwijderen:
if (isset($_GET['delete']) || isset($_GET['delete_comment']))
 {
  $action="none";
  $show="delete ask if sure";
 }

// onderwerp verwijderen na bevestiging:
if (isset($_POST['entry_uniqid_del_ok']))
 {
  if (isset($_SESSION['admin']))
   {
    $data = file($entry_file);
    $row_count = count($data);
    $fp = fopen($entry_file, 'w+');
    flock($fp, 2);
    for ($row = 0; $row < $row_count; $row++)
     {
      $parts = explode("|", $data[$row]);
      if ($parts[0] != $_POST['entry_uniqid_del_ok']) { fwrite($fp, trim($data[$row])."\n"); }
     }
    flock($fp, 3);
    fclose($fp);
    // verwijderen bijbehorende reacties:
    $data = file($comment_file);
    $row_count = count($data);
    $fp = fopen($comment_file, 'w+');
    flock($fp, 2);
    for ($row = 0; $row < $row_count; $row++)
     {
      $parts = explode("|", $data[$row]);
      if ($parts[1] != $_POST['entry_uniqid_del_ok']) { fwrite($fp, trim($data[$row])."\n"); }
     }
    flock($fp, 3);
    fclose($fp);

    header("location: ".basename($_SERVER["PHP_SELF"]));
   }
  else { $action = "none"; $show = "no authorization"; }
 }
// commentaar verwijderen na bevestiging:
if (isset($_POST['comment_uniqid_del_ok']))
 {
  if (isset($_SESSION['admin']))
   {
    $data = file($comment_file);
    $row_count = count($data);
    $fp = fopen($comment_file, 'w+');
    flock($fp, 2);
    for ($row = 0; $row < $row_count; $row++)
     {
      $parts = explode("|", $data[$row]);
      if ($parts[0] != $_POST['comment_uniqid_del_ok']) { fwrite($fp, trim($data[$row])."\n"); }
     }
    flock($fp, 3);
    fclose($fp);

    header("location: ".basename($_SERVER["PHP_SELF"])."?id=".$_POST['id']);
   }
  else { $action = "none"; $show = "no authorization"; }
 }


if (isset($_POST['form_submitted']))
{

 if (isset($_POST['time'])) $time = $_POST['time'];
 if (isset($_POST['entry_uniqid'])) $entry_uniqid = $_POST['entry_uniqid'];
 if (isset($_POST['subject'])) $subject = $_POST['subject'];
 if (isset($_POST['name'])) $name = $_POST['name'];
 if (isset($_POST['day'])) $day = $_POST['day'];
 if (isset($_POST['month'])) $month = $_POST['month'];
 if (isset($_POST['year'])) $year = $_POST['year'];
 if (isset($_POST['hour'])) $hour = $_POST['hour'];
 if (isset($_POST['minute'])) $minute = $_POST['minute'];
 if ($action=="comments") $time = time(); else $time = mktime($hour,$minute,0,$month,$day,$year);

 $text = $_POST['text'];
 if (isset($_POST['email_hp'])) $email_hp = $_POST['email_hp'];

 if (isset($subject)) $subject = trim($subject);
 if (isset($name)) $name = trim($name);
 if (isset($email_hp)) $email_hp = trim($email_hp);
 $text = trim($text);
 $pr_text = $text;
 if (isset($name)) $pr_name = $name;
 if (isset($subject)) $pr_subject = $subject;
 
 if (isset($email_hp) && substr($email_hp,0,7) == "http://") { $email_hp = substr($email_hp,7); }
 if (isset($email_hp)) $pr_email_hp = $email_hp;

 unset($errors);
 if ($action == "entry" && !isset($_SESSION['admin'])) die($no_authorisation);
 if ($action == "entry" && $subject == "") $errors[] = $error_no_subject;
 if ($text == "") $errors[] = $error_no_text;

 if ($action == "comments")
 {
 if ($name == "") $errors[] = $error_no_name;
 if (strlen($text) > $text_maxlength) { $error_text_too_long = str_replace("[characters]", strlen($text), $error_text_too_long); $error_text_too_long = str_replace("[max_characters]", $text_maxlength, $error_text_too_long); $errors[] = $error_text_too_long; }
 // zoeken naar te lange woorden:
 $text_arr = explode(" ",$name); for ($i=0;$i<count($text_arr);$i++) { trim($text_arr[$i]); $laenge = strlen($text_arr[$i]); if ($laenge > $name_word_maxlength) {
 $error_word_too_long_x = str_replace("[word]", htmlspecialchars(stripslashes(substr($text_arr[$i],0,$name_word_maxlength)))."...", $error_word_too_long); $errors[] = $error_word_too_long_x; } }
 /*$text_arr = explode(" ",$place); for ($i=0;$i<count($text_arr);$i++) { trim($text_arr[$i]); $laenge = strlen($text_arr[$i]); if ($laenge > $place_word_maxlength) {
 $error_word_too_long_x = str_replace("[word]", htmlspecialchars(stripslashes(substr($text_arr[$i],0,$place_word_maxlength)))."...", $error_word_too_long); $errors[] = $error_word_too_long_x; } }*/
 $text_arr = str_replace("\n", " ", $text);
 if ($bbcode == true); { $text_arr = preg_replace("#\[b\](.+?)\[/b\]#is", "\\1", $text_arr); $text_arr = preg_replace("#\[i\](.+?)\[/i\]#is", "\\1", $text_arr); $text_arr = preg_replace("#\[u\](.+?)\[/u\]#is", "\\1", $text_arr); $text_arr = preg_replace("#\[link\](.+?)\[/link\]#is", "\\1", $text_arr); $text_arr = preg_replace("#\[link=(.+?)\](.+?)\[/link\]#is", "\\2", $text_arr); }
 $text_arr = explode(" ",$text_arr); for ($i=0;$i<count($text_arr);$i++) { trim($text_arr[$i]); $laenge = strlen($text_arr[$i]); if ($laenge > $text_word_maxlength) {
 $error_word_too_long_x = str_replace("[word]", htmlspecialchars(stripslashes(substr($text_arr[$i],0,$text_word_maxlength)))."...", $error_word_too_long);$errors[] = $error_word_too_long_x; } }
 }

 
 if (empty($errors) && ($action=="entry" or $action=="comments") && isset($_POST['entry']))
  {
   $text = urlencode($text);
   if (isset($subject)) $subject = urlencode($subject);
   if (isset($place)) $place = urlencode($place);
   if (isset($email_hp)) $email_hp = urlencode(base64_encode($email_hp));
   $ip = $_SERVER["REMOTE_ADDR"];
   if ($action == "entry")
    {
     $entry = uniqid("")."|".$time."|".$ip."|".$subject."|".$text."\n";
     $data = file($entry_file);
     $c = count($data);
     $fp = fopen($entry_file, 'w+');
     flock($fp, 2);
     fwrite($fp, $entry);
     for ($i = 0; $i < $c; $i++) { fwrite($fp, trim($data[$i])."\n"); }
     flock($fp, 3);
     fclose($fp);
    }
   else
    {
     $entry = uniqid("")."|".$id."|".$time."|".$ip."|".$name."|".$email_hp."|".$text."\n";
     $data = file($comment_file);
     $fp = fopen($comment_file, 'a');
     flock($fp, 2);
     fwrite($fp, $entry);
     #fwrite($fp, trim($data[$i])."\n");
     flock($fp, 3);
     fclose($fp);
    }


   if ($action == "comments" && isset($adminemail) && $adminemail != "")
   {
    $emailbody = urldecode($text);
    $absender = urldecode($name);
    $absender_email = "no@email.xyz";
    $header= "From: ".$absender." <".$absender_email.">\n";    $header .= "X-Mailer: PHP/" . phpversion(). "\n";
    $header .= "X-Sender-IP: $ip\n";
    $header .= "Content-Type: text/plain";
    @mail($adminemail, str_replace("[subject]",htmlspecialchars(stripslashes($_POST['notification_subject'])),$email_subject), $emailbody, $header);
   }

   
     if ($action == "entry") header("location: ".basename($_SERVER["PHP_SELF"]));
     elseif ($action == "comments") header("location: ".basename($_SERVER["PHP_SELF"]."?id=".$id));
  }

 elseif (empty($errors) && $action=="edit" && empty($_POST['preview']))
  {
 
   if (isset($_SESSION['admin']))
    {
     $entry_uniqid = $_POST['entry_uniqid'];
     #$time = $_POST['time'];
     #$ip = $_POST['ip'];
     $subject = urlencode($subject);
     $text = urlencode($text);
     $data = file($entry_file);
     $row_count = count($data);
     $fp = fopen($entry_file, "w+");
     flock($fp, 2);
     for ($row = 0; $row < $row_count; $row++)
      {
       $parts = explode("|", $data[$row]);
       if ($parts[0] == $entry_uniqid) { fwrite($fp, $parts[0]."|".$time."|".$parts[2]."|".$subject."|".$text."\n"); }
       else { fwrite($fp, trim($data[$row])."\n"); }
      }
     flock($fp, 3);
     fclose($fp);
     
     header("location: ".basename($_SERVER["PHP_SELF"]));
    }
   else $show="no authorization";
  }

 elseif (empty($errors) && $action=="edit_comment" && empty($_POST['preview']))
  {
   if (isset($_SESSION['admin']))
    {
     $entry_uniqid = $_POST['entry_uniqid'];
     #$time = $_POST['time'];
     #$ip = $_POST['ip'];
     $name = urlencode($name);
     $email_hp = urlencode(base64_encode($email_hp));
     $text = urlencode($text);
     $data = file($comment_file);
     $row_count = count($data);
     $fp = fopen($comment_file, "w+");
     flock($fp, 2);
     for ($row = 0; $row < $row_count; $row++)
      {
       $parts = explode("|", $data[$row]);
       if ($parts[0] == $entry_uniqid) { fwrite($fp, $parts[0]."|".$parts[1]."|".$time."|".$parts[3]."|".$name."|".$email_hp."|".$text."\n"); $id=$parts[1]; }
       else { fwrite($fp, trim($data[$row])."\n"); }
      }
     flock($fp, 3);
     fclose($fp);

     header("location: ".basename($_SERVER["PHP_SELF"])."?id=".$id);
    }
   else $show="no authorization";
  }

 
 else { if ($action == "entry" || $action=="edit" || $action == "edit_comment") $show="form"; else { $show = "comments"; } }
}


if (empty($action)) $action="main";


switch ($action)
 {
  case "main":
   $show="main";
  break;
  case "comments":
    $data = file($entry_file);
    $row_count = count($data);
    for ($row = 0; $row < $row_count; $row++)
     {
      $parts = explode("|", $data[$row]);
      if ($parts[0] == $id)
       {
        $entry_uniqid = $parts[0];
        $time = $parts[2];
        $ip = $parts[3];
        $subject = urldecode($parts[3]);
        $text = urldecode($parts[4]);
        $subject = htmlspecialchars(stripslashes($subject));
        if ($html_entries==true) $text = stripslashes($text); else $text = htmlspecialchars(stripslashes($text));
        $text = nl2br($text);
        if ($autolink == true) $text = make_link($text);
        if ($bbcode == true) $text = bbcode($text);
        if (isset($smiley_folder) && $smiley_folder != "") $text = smilies($text);
        break;
       }
     }
   $show="comments";
  break;
  case "entry":
   $show="form";
  break;
  case "login":
   if (isset($_SESSION['admin'])) { session_destroy(); header("location: ".basename($_SERVER["PHP_SELF"])); die("<a href=\"".basename($_SERVER["PHP_SELF"])."\">weiter...</a>"); }
   else $show="login form";
  break;
  case "upload":
   if (isset($_SESSION['admin'])) { $show="upload"; }
   else $show="no authorization";
  break;
  case "upload_successful":
   $show="upload_successful";
  break;
 }

################################################################################
// Begin HTML
// Hier kan je een header includen --> include("header.html");
################################################################################
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title><?php echo $title; ?></title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<LINK REL="STYLESHEET" TYPE="text/css" HREF="../../stylesheet.css" />

<style type="text/css">
<!--
body                 { font-family: Verdana,Arial,Helvetica,sans-serif; color: #000000; font-size:13px; background-color: #fffff3; margin: 0px; padding: 20px; }
h1                   { margin: 0px 0px 20px 0px; font-size:18px; font-weight:bold; }
h2                   { margin: 0px 0px 20px 0px; font-size:15px; font-weight:bold; }
p.date               { font-size: 11px; margin: 0px 0px 5px 0px; }
p.subject            { margin: 0px 0px 5px 0px; font-size: 15px; font-weight: bold; }
p.text               { margin: 0px; }
p.comments           { margin: 5px 0px 0px 0px; font-size: 11px; }
p.comment-text       { margin: 0px 0px 0px 0px; }
p.commentauthor      { margin: 20px 0px 5px 0px; }
td.comformb          { width: 145px; }
textarea.comtext     { width: 420px; height: 120px; font-family: verdana, arial, sans-serif; font-size: 13px; }
input.comdata        { width: 130px; font-family: verdana, arial, sans-serif; }
.preview             { width: 50%; margin: 30px 0px 20px 0px; font-weight: bold; border-bottom: 1px dotted #c0c0c0; color: red; }
p.comment-hl         { width: 50%; margin: 35px 0px 20px 0px; font-weight: bold; border-bottom: 1px dotted #c0c0c0; }
input.bbcode-button  { width: 45px; height: 20px; font-size: 11px; font-weight: normal; margin: 0px 0px 5px 0px; background: #efefef; }
div.news-sep         { margin: 25px 0px 25px 0px; padding: 0px; font-size: 0px; width: 150px; border-top: 1px dotted #c0c0c0; }
div.comment-sep      { margin: 20px 0px 25px 0px; padding: 0px; font-size: 0px; width: 150px; border-top: 1px dotted #c0c0c0; }
p.browse             { text-align: right; font-weight: bold; }
.small               { font-size: 11px; }
a.xml                { border:1px solid; border-color:#fc9 #630 #330 #f96; padding:0 4px; font:bold 8pt Verdana,sans-serif; color:#fff; background:#f60; text-decoration:none; margin:0; }
a.xml:link           { color: #fff; text-decoration: none; }
a.xml:visited        { color: #fff; text-decoration: none; }
a.xml:hover          { color: #fff; text-decoration: none; }
a.xml:active         { color: #fff; text-decoration: none; }
input.bbcode-button  { width: 45px; height: 20px; font-size: 11px; font-weight: normal; margin: 0px 0px 5px 0px; background: #efefef; }
button.smiley-button { width: 23px; height: 23px; font-size: 11px; font-weight: normal; margin: 0px 1px 1px 0px; background: #efefef; }
a:link               { color: #0000cc; text-decoration: none; }
a:visited            { color: #0000cc; text-decoration: none; }
a:hover              { color: #0000ff; text-decoration: underline; }
a:active             { color: #ff0000; text-decoration: none; }
.caution             { color: red; font-weight: bold; }

-->
</style>
<?php if (isset($_SESSION['admin']))
{

?><script type="text/javascript">
<!--
function bbcode(v)
 {
 if (document.selection) // fr IE
   {
    var str = document.selection.createRange().text;
    document.forms['entryform'].elements['text'].focus();
    var sel = document.selection.createRange();
    sel.text = "[" + v + "]" + str + "[/" + v + "]";
    return;
   }
  else if ((typeof document.forms['entryform'].elements['text'].selectionStart) != 'undefined') // fr Mozilla
   {
    var txtarea = document.forms['entryform'].elements['text'];
    var selLength = txtarea.textLength;
    var selStart = txtarea.selectionStart;
    var selEnd = txtarea.selectionEnd;
    var oldScrollTop = txtarea.scrollTop;
    var s1 = (txtarea.value).substring(0,selStart);
    var s2 = (txtarea.value).substring(selStart, selEnd)
    var s3 = (txtarea.value).substring(selEnd, selLength);
    txtarea.value = s1 + '[' + v + ']' + s2 + '[/' + v + ']' + s3;
    txtarea.selectionStart = s1.length;
    txtarea.selectionEnd = s1.length + 5 + s2.length + v.length * 2;
    txtarea.scrollTop = oldScrollTop;
    return;
   }
  else input('[' + v + '][/' + v + '] ');
 }

function input(what)
 {
  if (document.forms['entryform'].elements['text'].createTextRange)
   {
    document.forms['entryform'].elements['text'].focus();
    document.selection.createRange().duplicate().text = what;
   }
  else if ((typeof document.forms['entryform'].elements['text'].selectionStart) != 'undefined') // fr Mozilla
   {
    var tarea = document.forms['entryform'].elements['text'];
    var selEnd = tarea.selectionEnd;
    var txtLen = tarea.value.length;
    var txtbefore = tarea.value.substring(0,selEnd);
    var txtafter =  tarea.value.substring(selEnd, txtLen);
    var oldScrollTop = tarea.scrollTop;
    tarea.value = txtbefore + what + txtafter;
    tarea.selectionStart = txtbefore.length + what.length;
    tarea.selectionEnd = txtbefore.length + what.length;
    tarea.scrollTop = oldScrollTop;
   }
  else
   {
    document.forms['entryform'].elements['text'].value += what;
   }
 }

function insert_link()
 {
 if (document.selection) // fr IE
   {
    var str = document.selection.createRange().text;
    document.forms['entryform'].elements['text'].focus();
    var sel = document.selection.createRange();
    sel.text = "[link=" + str + "]Link[/link]";
    return;
   }
  else if ((typeof document.forms['entryform'].elements['text'].selectionStart) != 'undefined') // fr Mozilla
   {
    var txtarea = document.forms['entryform'].elements['text'];
    var selLength = txtarea.textLength;
    var selStart = txtarea.selectionStart;
    var selEnd = txtarea.selectionEnd;
    var oldScrollTop = txtarea.scrollTop;
    var s1 = (txtarea.value).substring(0,selStart);
    var s2 = (txtarea.value).substring(selStart, selEnd)
    var s3 = (txtarea.value).substring(selEnd, selLength);
    txtarea.value = s1 + '[link=' + s2 + ']Link[/link]' + s3;
    txtarea.selectionStart = s1.length;
    txtarea.selectionEnd = s1.length + 18 + s2.length;
    txtarea.scrollTop = oldScrollTop;
    return;
   }
  else input('[link=]Link[/link] ');
 }
//-->
</script><?php } ?>
</head>
<body bottommargin="0" leftmargin="0" rightmargin="0" topmargin="0" marginheight="0" marginwidth="0" link="#1E2580">


<h1><?php echo $title; ?></h1>
<?php
if (($action=="main" || $action=="upload_successful") && isset($_SESSION['admin'])) echo '<p class="browse">[ <a href="'.basename($_SERVER["PHP_SELF"]).'?action=entry">'.$new_entry_marking.'</a> ]</p>';
elseif ($action=="entry" && isset($_SESSION['admin'])) echo '<p class="browse">[ <a href="'.basename($_SERVER["PHP_SELF"]).'?action=upload">'.$upload_image_marking.'</a> ] [ <a class="textlink" href="'.basename($_SERVER["PHP_SELF"]).'">'.$back_marking.'</a> ]</p>';
elseif (isset($id)) echo '<p class="browse">[ <a class="textlink" href="'.basename($_SERVER["PHP_SELF"]).'">'.$back_marking.'</a> ]</p>';
else echo "&nbsp;";

switch ($show)
 {
  case "main":
  if (isset($_GET['p'])) $p = $_GET['p'];
  $data = file($entry_file);

  $entry_count = count($data);
  for ($row = 0; $row < $entry_count; $row++)
   {
    $parts = explode("|", $data[$row]);
    if ((int)$parts[1] <= time()) $data_s[] = $data[$row];
   }

  if (isset($data_s)) $entry_count = count($data_s);
  if (empty($p)) $p = 0;
  $last = ($p+1) * $entries_per_page;
  if ($last > $entry_count) $last = $entry_count;
  if ($entry_count == 0) { echo "<i>".$still_no_entries_marking."</i>"; }
  
  for ($i = $p*$entries_per_page; $i < $last; $i++)
   {
    $nr = $entry_count -$i;
    $parts = explode("|", $data_s[$i]);


    $comment_data = file($comment_file);
    $row_count = count($comment_data);
    $com_count = 0;
    for ($row = 0; $row < $row_count; $row++)
     {
      $c_parts = explode("|", $comment_data[$row]);
      if ($c_parts[1] == $parts[0]) $com_count++;
     }

    $subject = urldecode($parts[3]);
    $text = urldecode($parts[4]);
    $subject = htmlspecialchars(stripslashes($subject));
    if ($html_entries==true) $text = stripslashes($text); else $text = htmlspecialchars(stripslashes($text));
    $text = nl2br($text);
    if ($autolink == true) $text = make_link($text);
    if ($bbcode == true) $text = bbcode($text);
    if (isset($smiley_folder) && $smiley_folder != "") $text = smilies($text);
    ?>
    <p class="date"><?php echo parse_time(strftime($time_format, $parts[1])); ?></p>
    <p class="subject"><?php echo $subject; ?></p>
    <p class="text"><?php echo $text; ?></p>
    <p >[ <a href="../<?php echo basename($_server['php_self']); ?>?id=<?php echo $parts[0]; ?>#comments" title="<?php echo $read_or_write_comments; ?>"><?php if ($com_count == 0) echo $no_comments; elseif ($com_count == 1) echo $one_comment; else echo str_replace("[number]",$com_count,$more_comments); ?></a> ]<?php if (isset($_SESSION['admin'])) { ?> [ <a href="../<?php echo basename($_server['php_self']); ?>?edit=<?php echo $parts[0]; ?>"><?php echo $edit_marking; ?></a> ] [ <a href="../<?php echo basename($_server['php_self']); ?>?delete=<?php echo $parts[0]; ?>"><?php echo $delete_marking; ?></a> ]<?php } ?></p>
    <?php if ($i!=$last-1) { ?><div class="news-sep">&nbsp;</div><?php }
   }

   ?><p class="browse"><?php browse(); ?>&nbsp;&nbsp;<a class="xml" href="<?php echo basename($_server['../php_self']); ?>?rss">XML</a></p><?php
  break;

  case "comments":
   ?><p class="date"><?php echo parse_time(strftime($time_format, $parts[1])); ?></p>
    <p class="subject"><?php echo $subject; ?></p>
    <p class="text"><?php echo $text; ?></p>
    <?php if (isset($_SESSION['admin'])) { ?><p class="comments">[ <a href="../<?php echo basename($_server['php_self']); ?>?edit=<?php echo $parts[0]; ?>"><?php echo $edit_marking; ?></a> ] [ <a href="../<?php echo basename($_server['php_self']); ?>?delete=<?php echo $parts[0]; ?>"><?php echo $delete_marking; ?></a> ]</p><?php } ?>
    <p id="comments" class="comment-hl"><?php echo $comments_marking; ?></p><?php
    if (isset($_GET['p'])) $p = $_GET['p'];

    $data = file($comment_file);
    $entry_count = count($data);
    $comment_count = 0;
    if (empty($p)) $p = 0;
    for ($i = 0; $i < $entry_count; $i++)
     {
      $parts = explode("|", $data[$i]);
      if ($parts[1] == $id)
       {
        $comment_data[] = $data[$i];
       }
      }

    if (isset($comment_data)) $comment_count = count($comment_data);
    if (empty($p)) $p = 0;
    $last = ($p+1) * $comments_per_page;
    if ($last > $comment_count) $last = $comment_count;

    
      for ($i = $p*$comments_per_page; $i < $last; $i++)
       {
        $parts = explode("|", $comment_data[$i]);

        $name = urldecode($parts[4]);
          $email_hp = base64_decode(urldecode($parts[5]));
          $text = urldecode($parts[6]);
          $name = htmlspecialchars(stripslashes($name));
          if ($html_comments==true) $text = stripslashes($text); else $text = htmlspecialchars(stripslashes($text));
          $text = nl2br($text);
          if ($autolink == true) $text = make_link($text);
          if ($bbcode == true) $text = bbcode($text);
          if (isset($smiley_folder) && $smiley_folder != "") $text = smilies($text);

          if ($email_hp != "")
           {
            if (preg_match("/^[^@]+@.+\.\D{2,5}$/", $email_hp))
             {
              $email_parts = explode("@", $email_hp);
              $email_name = $email_parts[0];
              $email_domain_tld = $email_parts[1];
              $domain_parts = explode(".", $email_domain_tld);
              $email_domain = "";
              for ($x = 0; $x < count($domain_parts)-1; $x++)
               {
                $email_domain .= $domain_parts[$x].".";
               }
              $email_tld = $domain_parts[$x];
              $name = "<script type=\"text/javascript\">
              <!--
              document.write('<a href=\"mailto:'); document.write('".$email_name."'); document.write('@'); document.write('".$email_domain."'); document.write('".$email_tld."'); document.write('\" title=\"".$email_link.$name."\">');
              //-->
              </script>".$name."<script type=\"text/javascript\">
              <!--
              document.write('</a>');
              //-->
              </script>";
             }
             else $name = '<a href="http://'.$email_hp.'" title="'.$homepage_link.$email_hp.'">'.$name.'</a>';
           }
          ?><p class="date"><?php echo "<b>" . $name . "</b>, " .parse_time(strftime($time_format, $parts[2])); ?></p>
          <p class="comment-text"><?php echo $text; ?></p><?php
          if (isset($_SESSION['admin'])) { ?><p class="comments">[ <a href="../<?php echo basename($_server['php_self']); ?>?edit_comment=<?php echo $parts[0]; ?>"><?php echo $edit_marking; ?></a> ] [ <a href="../<?php echo basename($_server['php_self']); ?>?delete_comment=<?php echo $parts[0]; ?>&id=<?php echo $id; ?>"><?php echo $delete_marking; ?></a> ]</p><?php }

      if ($i!=$last-1) { ?><div class="comment-sep">&nbsp;</div><?php }
       }

     if ($comment_count == 0) { echo "<fontcolor=black><p><i>".$still_no_comments_marking."</i></p></font>"; }
    
     if (isset($_GET['id'])) comments_browse($_GET['id']);

     ?><?php
  
   if(isset($errors))
    {
     ?><p class="caution" style="margin-top: 40px;"><?php echo $error_marking; ?></p><ul><?php foreach($errors as $f) { ?><li><?php echo $f; ?></li><?php } ?></ul><br /><?php
    }
  
   elseif (empty($errors) && isset($_POST['preview']))
    {
     if ($html_comments==true) $spr_text = stripslashes($pr_text); else $spr_text = htmlspecialchars(stripslashes($pr_text));
     $spr_text = nl2br($spr_text);
     if ($autolink == true) $spr_text = make_link($spr_text);
     if ($bbcode == true) $spr_text = bbcode($spr_text);
     if (isset($smiley_folder) && $smiley_folder != "") $spr_text = smilies($spr_text);

          if ($pr_email_hp != "")
           {
            if (preg_match("/^[^@]+@.+\.\D{2,5}$/", $pr_email_hp)) $spr_name = '<a href="mailto:'.$pr_email_hp.'" title="'.$email_link.htmlspecialchars(stripslashes($pr_name)).'">'.htmlspecialchars(stripslashes($pr_name)).'</a>';
            else $spr_name = '<a href="http://'.$pr_email_hp.'" title="'.$homepage_link.$pr_email_hp.'">'.htmlspecialchars(stripslashes($pr_name)).'</a>';
           }
          else $spr_name = htmlspecialchars(stripslashes($pr_name));
     ?>
     <p class="caution" style="margin-top: 40px;"><?php echo $preview_marking; ?></p>
     <div style="margin: 0px 0px 20px 0px; padding: 10px; border: 1px dotted red;">
     <p class="date"><?php echo "<b>" . $spr_name . "</b>, " .parse_time(strftime($time_format, time())); ?></p>
     <p class="text"><?php echo $spr_text; ?></p>
     </div>
     <?php
    }
    ?>
    <form style="margin-top: 40px;" action="<?php echo basename($_SERVER["../PHP_SELF"]); ?>" method="post"><div><b><?php echo $add_comment; ?></b><br />
    <input type="hidden" name="form_submitted" value="true" />
    <input type="hidden" name="id" value="<?php echo $id; ?>" />
    <input type="hidden" name="notification_subject" value="<?php echo $subject; ?>" />
    <input type="hidden" name="action" value="comments" />
    <table border="0" cellpadding="0" cellspacing="0">
       <tr>
        <td class="inputcell" colspan="4">
         <textarea class="comtext" cols="50" rows="7" name="text"><?php if (isset($pr_text)) echo htmlspecialchars(stripslashes($pr_text)); ?></textarea>
        </td>
       </tr>
       <tr>
        <td class="small"><?php echo $name_marking; ?></td>
        <td class="small"><?php echo $email_or_hp_marking; ?></td>
        <td class="small">&nbsp;</td>
       </tr>
       <tr>
        <td><input class="comdata" type="text" size="20" name="name" value="<?php if (isset($pr_name)) echo htmlspecialchars(stripslashes($pr_name)); ?>" maxlength="<?php echo $name_maxlength ?>" /></td>
        <td><input class="comdata" type="text" size="20" name="email_hp" value="<?php if (isset($pr_email_hp)) echo htmlspecialchars(stripslashes($pr_email_hp)); ?>" maxlength="<?php echo $email_hp_maxlength ?>" /></td>
        <td style="text-align:right;"><input type="submit" name="entry" value="<?php echo $submit_button; ?>" /> <input type="submit" name="preview" value="<?php echo $preview_button; ?>" /></td>
       </tr>

      </table>
   </div></form>
   <?php
  break;

  
  case "form":
   if (isset($_GET['img_code'])) $text = $_GET['img_code'];
   
   if(isset($errors))
    {
     ?><p class="caution"><?php echo $error_marking; ?></p><ul><?php foreach($errors as $f) { ?><li><?php echo $f; ?></li><?php } ?></ul><br /><?php
    }
  
   elseif (empty($errors) && isset($_POST['preview']))
    {
     if ($html_entries==true) $pr_text = stripslashes($text); else $pr_text = htmlspecialchars(stripslashes($text));
     $pr_text = stripslashes($text);
     if (empty($subject)) $subject=""; $pr_subject = htmlspecialchars(stripslashes($subject));
     $pr_text = nl2br($pr_text);
     if ($autolink == true) $pr_text = make_link($pr_text);
     if ($bbcode == true) $pr_text = bbcode($pr_text);
     if (isset($smiley_folder) && $smiley_folder != "") $pr_text = smilies($pr_text);

     if ($action=="edit_comment")
      {
       if ($pr_email_hp != "")
        {
         if (preg_match("/^[^@]+@.+\.\D{2,5}$/", $email_hp)) $spr_name = '<a href="mailto:'.$pr_email_hp.'" title="'.$email_link.' '.$pr_email_hp.'">'.htmlspecialchars(stripslashes($pr_name)).'</a>';
         else $spr_name = '<a href="http://'.$pr_email_hp.'" title="'.$hp_link.' '.$pr_email_hp.'">'.htmlspecialchars(stripslashes($pr_name)).'</a>';
        }
        else $spr_name = htmlspecialchars(stripslashes($pr_name));
       }

     ?>
     <p class="caution" style="margin: 0px;"><?php echo $preview_marking; ?></p>
     <div style="margin: 0px 0px 30px 0px; padding: 10px; border: 1px dotted red;">
     <p class="date"><?php if ($action=="edit_comment") echo "<b>" . $spr_name . "</b>, "; echo parse_time(strftime($time_format, $time)); ?></p>
     <p class="subject"><?php echo $pr_subject; ?></p>
     <p class="text"><?php echo $pr_text; ?></p></div>
     <?php
    }
   ?><form method="post" action="<?php echo basename($_SERVER["../PHP_SELF"]); ?>" id="entryform"><div>
   <input type="hidden" name="form_submitted" value="true" />
   <input type="hidden" name="action" value="<?php echo $action; ?>" />
   <?php if ($action=="edit" || $action=="edit_comment") { ?><input type="hidden" name="entry_uniqid" value="<?php echo $entry_uniqid; ?>" /><input type="hidden" name="time" value="<?php echo $time; ?>" /><?php } ?>
   <?php if ($action=="edit_comment")
   {
    ?><b><?php echo $name_marking; ?></b><br /><input type="text" name="name" value="<?php if (isset($name)) echo htmlspecialchars(stripslashes($name)); else echo ""; ?>" size="40" maxlength="<?php echo $name_maxlength; ?>" /><br /><br />
    <b><?php echo $email_or_hp_marking; ?></b><br /><input type="text" name="email_hp" value="<?php if (isset($email_hp)) echo htmlspecialchars(stripslashes($email_hp)); else echo ""; ?>" size="40" maxlength="<?php echo $email_maxlength; ?>" /></span><?php
   }
    elseif ($action=="entry" || $action=="edit")
    {
     ?><b><?php echo $subject_marking; ?></b><br />
     <input type="text" name="subject" value="<?php if (isset($subject)) echo htmlspecialchars(stripslashes($subject)); else echo ""; ?>" size="50" maxlength="80" />
    <?php
    } ?>
    <br /><br />
    <b><?php echo $text_marking; ?></b><br />
    <table border="0" cellpadding="0" cellspacing="0">
    <tr><td valign="top">
    <textarea name="text" cols="59" rows="13"><?php if (isset($text)) echo htmlspecialchars(stripslashes($text)); else echo ""; ?></textarea>
    </td><td valign="top" style="padding: 0px 0px 0px 5px;"><?php
    if ($bbcode == 1)
     {
      ?><input class="bbcode-button" style="font-weight: bold;" type="button" name="bold" value="<?php echo $bold_marking; ?>" onClick="bbcode('b');" /><br />
      <input class="bbcode-button" style="font-style: italic;" type="button" name="italic" value="<?php echo $italic_marking; ?>" onClick="bbcode('i');" /><br />
      <input class="bbcode-button" style="color: #0000ff; text-decoration: underline;" type="button" name="link" value="<?php echo $link_marking; ?>" onClick="bbcode('link');" /><br />
      <input class="bbcode-button" style="color: #0000ff; text-decoration: underline;" type="button" name="link2" value="<?php echo $textlink_marking; ?>" onClick="insert_link();" /><br />
      <input class="bbcode-button" type="button" name="image" value="<?php echo $image_marking; ?>" onClick="bbcode('img');" /><br /><?php
      ?><br /><?php
     }
    if (isset($smiley_folder) && $smiley_folder != "")
     {
      ?><button class="smiley-button" name="smile" type="button" value=":-)" onClick="input(':-) ');"><img src="<?php echo $smiley_folder; ?>/smile.gif" alt=":-)" width="15" height="15" /></button>
      <button class="smiley-button" name="smile" type="button" value=";-)" onClick="input(';-) ');"><img src="<?php echo $smiley_folder; ?>/wink.gif" alt=";-)" width="15" height="15" /></button><br />
      <button class="smiley-button" name="smile" type="button" value=":-P" onClick="input(':-P ');"><img src="<?php echo $smiley_folder; ?>/tongue.gif" alt=":-P" width="15" height="15" /></button>
      <button class="smiley-button" name="smile" type="button" value=":-D" onClick="input(':-D ');"><img src="<?php echo $smiley_folder; ?>/biggrin.gif" alt=":-D" width="15" height="15" /></button><br />
      <button class="smiley-button" name="smile" type="button" value=":-|" onClick="input(':-| ');"><img src="<?php echo $smiley_folder; ?>/neutral.gif" alt=":-|" width="15" height="15" /></button>
      <button class="smiley-button" name="smile" type="button" value=":-(" onClick="input(':-( ');"><img src="<?php echo $smiley_folder; ?>/frown.gif" alt=":-(" width="15" height="15" /></button><?php
     }
    ?></td>
    </tr></table>
    <br />
    <b><?php echo $date_time_marking; ?></b><br /><input type="text" name="day" value="<?php if (isset($day)) echo $day; else echo strftime("%d", time()); ?>" size="2" maxlength="2" />.<input type="text" name="month" value="<?php if (isset($month)) echo $month; else echo strftime("%m", time()); ?>" size="2" maxlength="2" />.<input type="text" name="year" value="<?php if (isset($year)) echo $year; else echo strftime("%Y", time()); ?>" size="4" maxlength="4" />, <input type="text" name="hour" value="<?php if (isset($hour)) echo $hour; else echo strftime("%H", time()); ?>" size="2" maxlength="2" />:<input type="text" name="minute" value="<?php if (isset($minute)) echo $minute; else echo strftime("%M", time()); ?>" size="2" maxlength="2" />
    <?php if ($action=="entry") { ?><br /><span class="small"><?php echo $time_exp; ?></span><?php } ?><br /><br /><br />
    <input type="submit" name="entry" value="<?php echo $entry_submit_button; ?>" />&nbsp;<input type="submit" name="preview" value="<?php echo $preview_button; ?>" />
    </div></form>
   <?php
  break;

  case "login form":
   ?>
   <form action="<?php echo basename($_SERVER["../PHP_SELF"]); ?>" method="post">
   <p><b><?php echo $password_marking; ?></b><br /><input type="password" name="login_password" />&nbsp;<input type="submit" value="<?php echo $log_in_marking; ?>" /></p>
   </form>
   <?php
  break;

  case "login failed":
   ?><p class="caution"><?php echo $password_wrong; ?></p><?php
  break;

  
  case "delete ask if sure":
    if (isset($_GET['delete'])) $data = file($entry_file); else $data = file($comment_file);
    $row_count = count($data);
    for ($row = 0; $row < $row_count; $row++)
     {
      $parts = explode("|", $data[$row]);
      if (isset($_GET['delete']) && $parts[0] == $_GET['delete'])
       {
        $subject = urldecode($parts[3]);
        $subject = htmlspecialchars(stripslashes($subject));
        break;
       }
      elseif (isset($_GET['delete_comment']) && $parts[0] == $_GET['delete_comment'])
       {
        $name = urldecode($parts[4]);
        $name = htmlspecialchars(stripslashes($name));
       break;
       }

     }
    if (isset($_GET['delete']))
     {
      ?><p class="caution"><?php echo $delete_entry_conf_marking; ?></p><p><?php echo str_replace("[entry]",$subject,$delete_entry_sure); ?></p>
      <form method="post" action="<?php echo basename($_SERVER["PHP_SELF"]); ?>"><p><input type="hidden" name="entry_uniqid_del_ok" value="<?php echo $_GET['delete']; ?>" /><input type="submit" name="del_entry_ok" value="<?php echo $delete_sure_ok; ?>" /></p><?php
     }
    else
     {
      ?><p class="caution"><?php echo $delete_comment_conf_marking; ?></p><p><?php echo str_replace("[name]",$name,$delete_comment_sure); ?></p>
      <form method="post" action="<?php echo basename($_SERVER["PHP_SELF"]); ?>"><p><input type="hidden" name="comment_uniqid_del_ok" value="<?php echo $_GET['delete_comment']; ?>" /><input type="hidden" name="id" value="<?php echo $_GET['id']; ?>" /><input type="submit" name="del_entry_ok" value="<?php echo $delete_sure_ok; ?>" /></p><?php
     }
  break;

  case "no authorization":
   ?><p class="caution"><?php echo $no_authorisation; ?></p><p>[ <a href="<?php echo basename($_server["../php_self"]); ?>?action=login"><?php echo $log_in_marking; ?></a> ]</p><?php
  break;
  case "upload":
   ?><h2><?php echo $upload_image_marking; ?></h2>
   <?php if (isset($errors)) { ?><p><?php foreach($errors as $f) { echo $f; ?></br><?php } ?></p><?php }
   if (isset($upload_imgage_folder) && $upload_imgage_folder != "")
    {
     ?><form action="<?php echo basename($_SERVER['../PHP_SELF']); ?>" method="post" enctype="multipart/form-data"><div>
     <input type="hidden" name="action" value="upload" />
     <input type="file" name="probe" /><br /><br />
     <input type="submit" value="<?php echo $submit_button; ?>" />
     </div></form><?php
    }
   else { ?><p><?php echo $no_upload_img_folder; ?></p><?php }
  break;
  case "upload_successful":
   ?><img src="<?php echo $upload_imgage_folder."file://".$filename; ?>" alt="[Image]" />
   <p><?php echo $code_to_paste_image; ?> <span style="font-family: courier new, courier; color: red;">[img]<?php echo $upload_imgage_folder."/".$filename; ?>[/img]</span><br />
   [ <a href="../<?php echo basename($_server['php_self']); ?>?action=entry&img_code=<?php echo "[img]".$upload_imgage_folder."/".$filename."[/img]"; ?>"><?php echo $paste_image; ?></a> ]</p><?php
  break;

 }
################################################################################
// Einde van HTML
// Hier kan je een footer includen --> include("footer.html");
################################################################################



?><p class="small" style="text-align: right;"><a href="<?php echo basename($_server["../php_self"]); ?>?login">Admin login</a> </p>
</body>

</html>